CVE-2020-12137

NameCVE-2020-12137
DescriptionGNU Mailman 2.x before 2.1.30 uses the .obj extension for scrubbed application/octet-stream MIME parts. This behavior may contribute to XSS attacks against list-archive visitors, because an HTTP reply from an archive web server may lack a MIME type, and a web browser may perform MIME sniffing, conclude that the MIME type should have been text/html, and execute JavaScript code.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2200-1, DSA-4664-1
NVD severitymedium
Debian Bugs958930

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mailman (PTS)stretch1:2.1.23-1+deb9u5fixed
stretch (security)1:2.1.23-1+deb9u6fixed
buster, buster (security)1:2.1.29-1+deb10u1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mailmansourcejessie1:2.1.18-2+deb8u5DLA-2200-1
mailmansourcestretch1:2.1.23-1+deb9u5DSA-4664-1
mailmansourcebuster1:2.1.29-1+deb10u1DSA-4664-1
mailmansource(unstable)(unfixed)958930

Notes

https://www.openwall.com/lists/oss-security/2020/02/24/2
http://bazaar.launchpad.net/~mailman-coders/mailman/2.1/revision/1801

Search for package or bug name: Reporting problems